Bug 189641 - Must run 'pccardctl eject 0' before suspending or ethernet nonfunctional after resume
Must run 'pccardctl eject 0' before suspending or ethernet nonfunctional afte...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-04-21 19:40 EDT by Elijah Newren
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-10 19:55:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elijah Newren 2006-04-21 19:40:51 EDT
Description of problem:
I apologize in advance if this is the wrong place to file this.  Anyway, I just
barely installed fc5 and found suspend support built in and functional at long
last (wahoo!!!).  First time I've ever seen it work out of the box (and only
second time I've ever seen it work at all)....except that it didn't /quite/
work.  Just one small problem: ethernet was nonfunctional after resume.  Having
played around with swsusp2 myself about a year ago and reading lots of related
pages trying to get it to work, I discovered that I had to do add a 'cardctl
eject 0' command in the suspend script and a corresponding 'cardctl insert 0'
for resuming (see also http://bugzilla.suspend2.net/show_bug.cgi?id=75).

In fc5, it appears all I need to do is run 'pccardctl eject 0' before suspending
and then it'll automatically be pulled back up on resume and everything will
work great.  However, if I forget, then ethernet is non-functional and trying to
'pccardctl eject 0' at that point won't work...I just get lots of

kernel: unregister_netdevice: waiting for eth0 to become free. Usage count = 5

messages in my system logs.  I also get those messages if I try to shutdown
cleanly after forgetting and they never seem to stop, forcing me to manually
power it off uncleanly.

Version-Release number of selected component (if applicable):

How reproducible:
100%, so far

Steps to Reproduce:
1. Forget to run 'pccardctl eject 0' before suspending
Actual results:
ethernet is hosed on resume

Expected results:
I wouldn't have to manually run 'pccardctl eject 0' before suspending and
ethernet connection still works after resuming.

Additional info:
I couldn't find the scripts, if there be any, handling suspension.  Anyone have
any pointers to work arounds or hacks I could use that wouldn't require me to
remember to manually intervene before closing the lid on my laptop?
Comment 1 Elijah Newren 2006-04-24 12:34:27 EDT
Slight correction: It appears that, as long as I don't try running something
like 'ifdown eth0' and 'ifup eth0' after resuming, then 'pccardctl eject 0;
sleep 2; pccardctl insert 0' will _usually_ work to get my ethernet connection
back up and running after resume -- but not always (and when it fails, I get
that usage count error message repeated every few seconds in the logs and at the
Comment 2 Dave Jones 2006-10-16 15:35:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Elijah Newren 2007-12-10 19:55:48 EST
Crap, sorry I never got back to this; I got really busy trying to defend my
thesis about this the time you added this message, Dave, and this is one of
those emails I never got back to.

Anyway, the laptop I had with the appropriate hardward to trigger this bug gave
up the ghost about 6 months ago.  I won't be able to reproduce any more so I'll
close it out.

Note You need to log in before you can comment on or make changes to this bug.